Qt 5.7 | Qt 3D | C++ Classes | QAspectJob

Qt 5.7.1 Reference Documentation

# QAspectJob Class

(Qt3DCore::QAspectJob)

The base class for jobs executed in an aspect More...

Header: | #include <QAspectJob>
qmake: | QT += 3dcore

- List of all members, including inherited members

## Public Functions

| QAspectJob()
virtual | ~QAspectJob()
void | addDependency(QWeakPointer<QAspectJob> dependency)
QVector<QWeakPointer<QAspectJob> > | dependencies() const
void | removeDependency(QWeakPointer<QAspectJob> dependency)
virtual void | run() = 0

## Detailed Description

The base class for jobs executed in an aspect

## Member Function Documentation

### QAspectJob::QAspectJob()

Default constructs an instance of QAspectJob.

### `[virtual]` QAspectJob::~QAspectJob()

Destroys the instance of QAspectJob. The destructor is virtual.

### void QAspectJob::addDependency(QWeakPointer<QAspectJob> dependency)

Adds dependency to the aspect job.

### QVector<QWeakPointer<QAspectJob> > QAspectJob::dependencies() const

Returns the dependencies of the aspect job.

### void QAspectJob::removeDependency(QWeakPointer<QAspectJob> dependency)

Removes the given dependency from aspect job.

### `[pure virtual]` void QAspectJob::run()

Executes job.